import router from '@/router';
import { TASKTYPE } from '@/utils/api/Task';

// 跳转产品详情页
export const JumpDetailPage = (item: any) => {
  console.log(item);
  // 本地写死
  item.type = TASKTYPE.MODEL_GENERATION;
  // 模板选择
  item.type = TASKTYPE.MODELTEMPLATE;
  let path = '';
  window.open(item.url);
  return;
  // if (item.type == TASKTYPE.CHAT) {
  //   // 文案1
  //   path = '/CopywritingGeneration';
  // } else if (item.type == TASKTYPE.PAINTING) {
  //   // 绘图2
  //   path = '/ImageGeneration';
  // } else if (item.type == TASKTYPE.MODEL_GENERATION) {
  //   // 模特生成+换衣  4
  //   path = '/ModelGeneration';
  // } else if (item.type == TASKTYPE.MODELTEMPLATE) {
  //   // 选择模特模板
  //   path = '/ModelTemplate';
  // }
  // item.url = 'ModelTemplate';
  if (item.url.indexOf('ModelTemplate') !== -1) {
    //  选择模特模板
    path = '/ModelTemplate';
  } else if (item.url.indexOf('ModelGeneration') !== -1) {
    // 模特生成
    path = '/ModelGeneration';
  } else if (item.url.indexOf('CopywritingGeneration') !== -1) {
    // 文案1
    path = '/CopywritingGeneration';
  } else if (item.url.indexOf('ImageGeneration') !== -1) {
    // 绘图2
    path = '/ImageGeneration';
  }
  if (path) {
    const url = router.resolve({
      path: path,
      query: {
        id: item.id,
      },
    });
    window.open(url.href);
  }
};
